cURL
Authorizations
string
header
required
DashScope API Key
Path Parameters
string
required
记忆库 ID
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
列出记忆库内的记忆文件
curl --request GET \
--url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/memory_stores/{memory_store_id}/memories' \
--header 'Authorization: Bearer <YOUR_API_KEY>'{
"data": [
{
"id": "mem_xxx",
"type": "memory",
"memory_store_id": "memstore_xxx",
"path": "/notes/project.md",
"content": "# 项目约定\n默认开发环境为预发环境。\n",
"content_sha256": "e3b0c44b98fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
"content_size_bytes": 47,
"memory_version_id": "memver_xxx",
"created_at": "2026-09-17T08:00:00Z",
"updated_at": "2026-09-17T08:00:00Z"
}
],
"prefixes": [],
"next_page": null
}DashScope API Key
记忆库 ID
depth=1 时返回当前层下的子目录前缀
下一页游标;无更多数据时不含该字段
curl --request GET \
--url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/memory_stores/{memory_store_id}/memories' \
--header 'Authorization: Bearer <YOUR_API_KEY>'{
"data": [
{
"id": "mem_xxx",
"type": "memory",
"memory_store_id": "memstore_xxx",
"path": "/notes/project.md",
"content": "# 项目约定\n默认开发环境为预发环境。\n",
"content_sha256": "e3b0c44b98fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
"content_size_bytes": 47,
"memory_version_id": "memver_xxx",
"created_at": "2026-09-17T08:00:00Z",
"updated_at": "2026-09-17T08:00:00Z"
}
],
"prefixes": [],
"next_page": null
}